summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conikost@gentoo.org>2020-10-03 16:19:40 +0200
committerConrad Kostecki <conikost@gentoo.org>2020-10-03 16:41:51 +0200
commit67b32ca6f2613344577ed24197fe9849b1afdd83 (patch)
treefa46235ee896d3f5293aafd7f4ac5c056cfc41ac /x11-misc/j4-dmenu-desktop/j4-dmenu-desktop-2.18.ebuild
parentgames-misc/xcowsay: bump to version 1.5.1 (diff)
downloadgentoo-67b32ca6f2613344577ed24197fe9849b1afdd83.tar.gz
gentoo-67b32ca6f2613344577ed24197fe9849b1afdd83.tar.bz2
gentoo-67b32ca6f2613344577ed24197fe9849b1afdd83.zip
x11-misc/j4-dmenu-desktop: bump to version 2.18
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
Diffstat (limited to 'x11-misc/j4-dmenu-desktop/j4-dmenu-desktop-2.18.ebuild')
-rw-r--r--x11-misc/j4-dmenu-desktop/j4-dmenu-desktop-2.18.ebuild56
1 files changed, 56 insertions, 0 deletions
diff --git a/x11-misc/j4-dmenu-desktop/j4-dmenu-desktop-2.18.ebuild b/x11-misc/j4-dmenu-desktop/j4-dmenu-desktop-2.18.ebuild
new file mode 100644
index 00000000000..407d1d55918
--- /dev/null
+++ b/x11-misc/j4-dmenu-desktop/j4-dmenu-desktop-2.18.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+MY_PV="r${PV}"
+
+DESCRIPTION="A fast desktop replacement for i3-dmenu-desktop"
+HOMEPAGE="https://github.com/enkore/j4-dmenu-desktop"
+SRC_URI="https://github.com/enkore/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+dmenu test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-cpp/catch:1 )"
+RDEPEND="dmenu? ( x11-misc/dmenu )"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+src_prepare() {
+ cmake_src_prepare
+
+ # Respect users CFLAGS
+ sed -i -e "s/-pedantic -O2//" CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWITH_GIT_CATCH="no"
+ -DWITH_TESTS="$(usex test)"
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ doman j4-dmenu-desktop.1
+}
+
+pkg_postinst() {
+ if ! use dmenu; then
+ elog "As you have disabled the 'dmenu' use flag,"
+ elog "x11-misc/dmenu won't be installed by default."
+ elog ""
+ elog "Since x11-misc/j4-dmenu-desktop uses x11-misc/dmenu as default,"
+ elog "you must configure your own replacement with --dmenu=<command>,"
+ elog "as otherwise it won't work."
+ fi
+}